package com.ruoyi.web.controller.app_course;


import com.ruoyi.RestResponse;
import com.ruoyi.course.domain.CourseLog;
import com.ruoyi.course.mapper.ConsumerCourseMapper;
import com.ruoyi.course.service.ConsumerCourseServiceImpl;
import com.ruoyi.course.service.CourseServiceImpl;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2022-12-29
 */
@RestController
@RequestMapping("/api/consumerCourse")
public class ConsumerCourseController {

    @Resource
    private CourseServiceImpl courseService;
    @Resource
    private ConsumerCourseServiceImpl consumerCourseService;
    @Resource
    private ConsumerCourseMapper mapper;

    //我的课程 （视频）
    @PostMapping("/myCourse")
    public RestResponse myCourse(HttpServletRequest request){
        Long userId= Long.parseLong(request.getAttribute("userId").toString());
        List<CourseLog> list= mapper.myCourse(userId);
        List<CourseLog> list1=new ArrayList<>();
        List<CourseLog> list2=new ArrayList<>();
        for (CourseLog l:list){
            if (l.getCourseType().equals("2")){
                list1.add(l);
            }
            if (l.getCourseType().equals("3")){
                list2.add(l);
            }
        }
        Map map=new HashMap();
        map.put("list1",list1);//大咖课
        map.put("list2",list2);//教练培训
        return new RestResponse().setSuccess(true).setData(map);
    }


}

