package com.ruoyi.web.controller.search;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.search.domain.MemberUserWo;
import com.ruoyi.search.service.MemberUserServicelmpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/member_user")
public class MemberUserController extends BaseController {
    @Autowired
    MemberUserServicelmpl memberuserService;

    @GetMapping("/list")
    public TableDataInfo list(@RequestParam Map map) {
        startPage();
        map.put("stroreId", SecurityUtils.getMerchanId());
        List<MemberUserWo> list = memberuserService.getList(map);
        return  getDataTable(list);
    }


//    @PostMapping(value = "/getList")
//    public RestResponse findList1(@RequestBody Map<String, Object> params) {
//        List<MemberUser> list =memberuserService.findList((String) params.get("memberName"));
//        return new RestResponse().setSuccess(true).setMessage("成功").setData(list);
//
//    }
}
