package com.ruoyi.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
public class Context implements Serializable {
    private static final long serialVersionUID=1L;

    @TableId(value = "sys_user", type = IdType.AUTO)
//    @JsonFormat (pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Integer userId;
    @ApiModelProperty(value = "教练姓名")
    private String userName;
    @ApiModelProperty(value = "性别")
    private String sex;

    private String phonenumber;
    @ApiModelProperty(value = "头像")
    private String avatar;
    @ApiModelProperty(value = "个人介绍")
    private String context;
    // 发布
    private Boolean releases;
    //相册
    @ApiModelProperty(value = "图片")
    private String url;
    //简短介绍
    @ApiModelProperty(value = "简介")
    private String intro;

}
