package com.ruoyi.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.utils.StringUtils;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Arrays;
import java.util.List;

/**
 * <p>
 * 课程记录
 * </p>
 *
 * @author xhj
 * @since 2022-09-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CourseLogVo  implements Serializable {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    // 课程id
    private Integer courseId;

    // 开始日期
    private String startDate;

    // 开始时间
    private String startTime;

    //结束时间
    private String endTime;

    // 数量
    private Integer number;

    // 老师
    private Integer tearcher;

    // 地点
    private String place;

    // 预约人数
    private Integer appointmentNum;

    // 创建啊时间
    private LocalDateTime createTime;
    // 课程时间
    private String  sourceTime;



    //价格")
    private BigDecimal coursePrice;

    //长视频")
    private String videoLong;

    //短视频")
    private String videoShort;

    //类型 大咖，普通")
    private String memberType;

    //大咖1 大咖 2 大咖3 ")
    private String courseType;

    //具体分类")
    private String courseType1;

    //课程名字")
    private String courseNames;

    //客程内容")
    private String courseContext;

    //图片")
    private String coursePicture;

    private String releases;
    //流派id
    private Integer lpId;

    private String userName;
    private List memberNum;
    private String stroreId;

    private String week;//周几上课 星期一(1)、星期二(2)、星期三(3)、星期四((4)、星期五((5)、星期六(6)、星期日(7)

   // private String courseName;
    public List getMembers(){
        if (StringUtils.isNotBlank(memberType)) {
            if (memberType.length() == 1) {
                setMemberNum(Arrays.asList(memberType));
            } else {
                String[] str = memberType.split(",");
                setMemberNum(Arrays.asList(str));
            }
        }
        return memberNum;
    }

}
