package com.ruoyi.course.service;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.course.domain.Appointment;
import com.ruoyi.course.domain.AppointmentVo;
import com.ruoyi.course.mapper.AppointmentMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 预约表 服务实现类
 * </p>
 *
 * @author xhj
 * @since 2022-09-27
 */
@Service
public class AppointmentServiceImpl extends ServiceImpl<AppointmentMapper, Appointment> {

    @Autowired
    AppointmentMapper appointmentMapper;

    public List<AppointmentVo>findList(Map map){
        return appointmentMapper.findList(map);
    }

}
