package com.ruoyi.course.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.course.domain.Member;
import com.ruoyi.course.mapper.MemberMapper;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xhj
 * @since 2022-09-23
 */
@Service
public class MemberServiceImpl extends ServiceImpl<MemberMapper, Member>  {


    public List<Member> getList(Map map){
        map.put("stroreId", SecurityUtils.getMerchanId());
        List<Member> list = baseMapper.findList(map);
        return list;
    }

//    public List<Member> getList(Member member){
//        List<Member> list = baseMapper.findList(member);
//        return list;
//    }

    public List<Member> findList(Member member){
        return baseMapper.findList(member);
    }
}
