package com.ruoyi.search.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class MemberUser implements Serializable{

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer memberId;

    private String memberName;

    private String memberContext;

    private String memberPicture;

    private Integer validity;

    private String myType;

    private BigDecimal memberPrice;

    private Boolean releases;

    private String data;

    private Long consumerId;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime comeTime;

    private String validityTime;

    private BigDecimal price;

    private String recommend;

    private String stroreId ;


}
