package com.ruoyi.shop.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author xn
 * @since 2022-09-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class YjLink implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    private String url;

    private String name;

    /**
     * 资源类型（图片/视频）
     */
    private String type;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime addTime;//添加时间
    private Boolean isDelete;//是否被删除
    /**
     * 所属商户id
     */
    private String merchantId;


}
