package com.ruoyi.shop.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.shop.domain.YjLink;
import com.ruoyi.shop.mapper.YjLinkMapper;
import com.ruoyi.shop.service.YjLinkService;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2022-09-23
 */
@Service
public class YjLinkServiceImpl extends ServiceImpl<YjLinkMapper, YjLink> implements YjLinkService {

    public void add(String url,String type){
        YjLink yjLink=new YjLink();
        yjLink.setUrl(url);
        yjLink.setType(type);
        yjLink.setMerchantId(SecurityUtils.getMerchanId());
        this.save(yjLink);
    }
}
