package com.ruoyi.web.controller.app_course;

import com.ruoyi.RestResponse;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.course.domain.Context;
import com.ruoyi.course.service.ContextServicelmpl;
import com.ruoyi.system.service.impl.SysUserServiceImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@Api(tags = "教练", description = "获取教练信息")
@RestController
@RequestMapping("/api/context")
public class ContextAppController extends BaseController {
    @Autowired
    ContextServicelmpl  contextService;
    @Autowired
    SysUserServiceImpl userService;

    @ApiOperation("教练列表")
    @PostMapping(value = "/getList")
    public RestResponse findList1(@RequestBody Map<String, Object> params) {
        params.put("releases",true);
        List<Context> list =contextService.getList(params);
        return new RestResponse().setSuccess(true).setMessage("成功").setData(list);
    }

    @ApiOperation("教练详细信息")
    @PostMapping("/getOne")
    public RestResponse update(@RequestBody Map<String, Object> params) {
        Context c =contextService.getList(params).get(0);
        return RestResponse.success().setData(c);
    }
}
