package com.ruoyi.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 预约表
 * </p>
 *
 * @author xhj
 * @since 2022-09-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class    Appointment implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

//    @ApiModelProperty(value = "消费者id")
    private Long consumerId;

//    @ApiModelProperty(value = "课程记录id")
    private Integer courseLogId;

//    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

//    @ApiModelProperty(value = "备注")
    private String remark;

//    @ApiModelProperty(value = "电话")
    private String phone;

//    @ApiModelProperty(value = "0 未完成1 已完成")
    private Integer status;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss")
//    @ApiModelProperty(value = "完成时间")
    private LocalDateTime updateTime;

//    @ApiModelProperty(value = "操作人")
    private String updateUser;

    private Integer flag;//0 预约中 1预约成功 2预约失败 3取消预约


}
