package com.ruoyi.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 课程
 * </p>
 *
 * @author xhj
 * @since 2022-09-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class Course implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "course_id", type = IdType.AUTO)
    private Integer courseId;

    private String courseName;

    private String courseContext;

    private String coursePicture;

    private String courseExplain;//说明

    private String memberType;//类型 大咖，普通

    private String courseType;//大咖1 大咖 2 大咖3

    private String courseType1;//具体分类

    private Integer releases;//是否发布

    private String stroreId;//

    private String data;
    private String videoLong;
    private String videoShort;
    private BigDecimal coursePrice;//价格

    @TableField(exist = false)
    private List memberNum;




}
