package com.ruoyi.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 消息记录
 * </p>
 *
 * @author xn
 * @since 2022-12-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class HistoryMessage implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String phone;

    private String notificationTitle;

    private String msgContent;

    private Boolean releases;

    private String sendTime;

}
