package com.ruoyi.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author xhj
 * @since 2022-09-23
 */
@ApiModel(description= "会籍")
@Data
@EqualsAndHashCode(callSuper = false)
public class Member implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "member_id", type = IdType.AUTO)
    private Integer memberId;

    // 会籍名
    @ApiModelProperty("会籍名")
    private String memberName;

    // 会籍内容
    @ApiModelProperty("会籍内容")
    private String memberContext;

    //图片
    @ApiModelProperty("图片")
    private String memberPicture;


    //有效期
    @ApiModelProperty("有效期")
    private String validity;

    private String myType;
    //价格
    @ApiModelProperty("价格")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private BigDecimal memberPrice;


    // 发布
    private Boolean releases;

    private String data;

    // 会籍
    private String stroreId;


}
