package com.ruoyi.shop.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 购物车
 * </p>
 *
 * @author xn
 * @since 2022-09-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ShopCart implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 数量
     */
    @ApiModelProperty("数量")
    private Integer count;

    /**
     * 商品id
     */
    @ApiModelProperty("商品id")
    private String idGoods;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long idUser;


}
