package com.ruoyi.shop.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author xn
 * @since 2022-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(value = "yj_index",autoResultMap = true)
public class YjIndex implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 商户id
     */
    @ApiModelProperty("商户id")
    private String merchantId;

    /**
     * 首页图文内容
     */
    @ApiModelProperty("首页图标list")
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<YjIndexDto> indexList;

}
