package com.ruoyi.shop.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 场馆表
 * </p>
 *
 * @author xn
 * @since 2022-09-23
 */
@ApiModel(description= "场馆信息")
@Data
public class YjVenue  {

    private Long deptId;

    /**
     * 商户id
     */
    private String merchantId;

    /**
     * 地址
     */
    @ApiModelProperty("地址")
    private String address;

    /**
     * 门店介绍
     */
    @ApiModelProperty("门店介绍")
    private String detail;


    /**
     * 封面简介
     */
    @ApiModelProperty("封面简介")
    private String brief;

    /**
     * 封面图片
     */
    @ApiModelProperty("封面图片")
    private String picture;

    /**
     * 门店名称
     */
    @ApiModelProperty("门店名称")
    private String deptName;

    /**
     * 门店是否显示     */
    private Boolean display;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String phone;

    private String dimension;//纬度
    private String longitude;//经度



}
